﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGCellStyleCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        int count = 0;
        private void ChangeBtn_Click(object sender, RoutedEventArgs e)
        {
            if (count == 0)
            {
                ObservableCollection<FoodClass> Data = XDG1.DataSource as ObservableCollection<FoodClass>;
                Data[0].FoodType = "Fruit";
                Data[3].FoodType = "Seafood";

                Data[1].Price = 2.99;
                Data[2].Price = 4.99;

                Data[2].UnitsOnOrder = 10;
                Data[1].UnitsOnOrder = 15;

                Data[3].UnitsInStock = 20;
                Data[0].UnitsInStock = 40;

                count = 1;
            }
            else
            {
                count = 0;

                ObservableCollection<FoodClass> Data = XDG1.DataSource as ObservableCollection<FoodClass>;
                Data[3].FoodType = "Fruit";
                Data[0].FoodType = "Seafood";

                Data[2].Price = 2.99;
                Data[1].Price = 4.99;

                Data[1].UnitsOnOrder = 10;
                Data[2].UnitsOnOrder = 15;

                Data[0].UnitsInStock = 20;
                Data[3].UnitsInStock = 40;

            }
        }
    }
}
